Bug 1251034 - (zendframework/zendpdf) Review Request: php-zendframework-zendpdf - Zend Framework ZendPdf component
Review Request: php-zendframework-zendpdf - Zend Framework ZendPdf component
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 08:51 EDT by Remi Collet
Modified: 2015-09-18 15:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.0.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 20:22:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (37.74 KB, text/plain)
2015-08-21 16:54 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (31.61 KB, text/plain)
2015-08-21 16:54 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.03 KB, text/plain)
2015-08-21 16:55 EDT, Shawn Iwinski
no flags Details

  None (edit)
Comment 1 Shawn Iwinski 2015-08-21 16:54:26 EDT
Created attachment 1065726 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 2 Shawn Iwinski 2015-08-21 16:54:50 EDT
Created attachment 1065727 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 3 Shawn Iwinski 2015-08-21 16:55:23 EDT
Created attachment 1065728 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1251034
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-08-21 16:58:21 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[x]: Requires correct, justified where necessary.

     If EPEL-6 is in the target dists for this package need to replace build
     require "php-composer(phpunit/phpunit)" with either "%{_bindir}/phpunit"
     or php-phpunit-PHPUnit.



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2015-08-22 01:41:37 EDT
> this package need to replace build require "php-composer(phpunit/phpunit)"...
Good catch.

Thanks for the review !

New Package SCM Request
=======================
Package Name: php-zendframework-zendpdf
Short Description: Zend Framework ZendPdf component
Upstream URL: http://framework.zend.com/
Owners: remi
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-08-23 17:36:46 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-08-25 04:29:04 EDT
php-zendframework-zendpdf-2.0.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7781
Comment 8 Fedora Update System 2015-08-25 04:29:18 EDT
php-zendframework-zendpdf-2.0.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14193
Comment 9 Fedora Update System 2015-08-25 04:29:27 EDT
php-zendframework-zendpdf-2.0.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7782
Comment 10 Fedora Update System 2015-08-25 04:29:39 EDT
php-zendframework-zendpdf-2.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14194
Comment 11 Fedora Update System 2015-08-25 04:29:52 EDT
php-zendframework-zendpdf-2.0.2-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14195
Comment 12 Fedora Update System 2015-08-25 15:17:35 EDT
php-zendframework-zendpdf-2.0.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-zendframework-zendpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7781
Comment 13 Fedora Update System 2015-08-26 00:25:50 EDT
php-zendframework-zendpdf-2.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-zendframework-zendpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14194
Comment 14 Fedora Update System 2015-08-26 11:19:37 EDT
php-zendframework-zendpdf-2.0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-zendframework-zendpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7782
Comment 15 Fedora Update System 2015-08-26 13:25:07 EDT
php-zendframework-zendpdf-2.0.2-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-zendframework-zendpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14195
Comment 16 Fedora Update System 2015-08-26 13:27:44 EDT
php-zendframework-zendpdf-2.0.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-zendframework-zendpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14193
Comment 17 Fedora Update System 2015-09-08 20:22:23 EDT
php-zendframework-zendpdf-2.0.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-09-09 00:21:10 EDT
php-zendframework-zendpdf-2.0.2-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-09-14 23:05:31 EDT
php-zendframework-zendpdf-2.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-09-14 23:53:39 EDT
php-zendframework-zendpdf-2.0.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-09-18 15:01:34 EDT
php-zendframework-zendpdf-2.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.